/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.RhPagoConductorDAO;
import com.rjconsultores.ventaboletos.entidad.RhPagoConductor;
import com.rjconsultores.ventaboletos.service.RhPagoConductorService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("rhPagoConductorService")
public class RhPagoConductorServiceImpl implements RhPagoConductorService {

    @Autowired
    private RhPagoConductorDAO restriccionDAO;

    public List<RhPagoConductor> obtenerTodos() {
        return restriccionDAO.obtenerTodos();
    }

    public RhPagoConductor obtenerID(Integer id) {
        return restriccionDAO.obtenerID(id);
    }

    @Transactional
    public RhPagoConductor suscribir(RhPagoConductor entidad) {


        return restriccionDAO.suscribir(entidad);
    }

    @Transactional
    public RhPagoConductor actualizacion(RhPagoConductor entidad) {


        return restriccionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(RhPagoConductor entidad) {
        restriccionDAO.actualizacion(entidad);
    }
}
